---
title: "Retrieves destination based on IATA code"
url: "https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24/operations/getDestinationsByCode"
---

> Full API specification: https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24.md

# Retrieves destination based on IATA code

`GET` `/destinations/{iata}`

Operation ID: `getDestinationsByCode`

Retrieves destination based on IATA code

## Path parameters

- `iata` (string, required) - IATA code

## Header parameters

- `Accept` (string, required) - Only 'application/json' is allowed

## Responses

- `200` - OK
- `400` - Bad request
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Schiphol Public Flight API
  version: 4.2.0
servers:
  - url: https://{environment}.schiphol.nl/public/public-flights/v4
    variables:
      environment:
        enum:
          - api
          - api-acc
        default: api
paths:
  /destinations/{iata}:
    get:
      summary: Retrieves destination based on IATA code
      description: Retrieves destination based on IATA code
      operationId: getDestinationsByCode
      parameters:
        - $ref: "#/components/parameters/AcceptHeader"
        - name: iata
          in: path
          description: IATA code
          required: true
          schema:
            maxLength: 3
            minLength: 3
            type: string
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Destination"
        "400":
          description: Bad request
          content: {}
        "404":
          description: Not Found
          content: {}
security:
  - bearerAuth: []
components:
  parameters:
    AcceptHeader:
      name: Accept
      in: header
      description: Only 'application/json' is allowed
      required: true
      style: simple
      schema:
        type: string
        example: application/json
  schemas:
    Destination:
      type: object
      properties:
        city:
          type: string
        country:
          type: string
        iata:
          type: string
        publicName:
          $ref: "#/components/schemas/PublicName"
    PublicName:
      type: object
      properties:
        dutch:
          type: string
        english:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
```
